## r-bioc-biocgenerics 0.2.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: Generic functions for Bioconductor
Description: S4 generic functions needed by many other Bioconductor packages.
Version: 0.2.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer
        <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: methods, graphics, stats
Imports: methods, graphics, stats
Suggests: Biobase, IRanges, GenomicRanges, AnnotationDbi, oligoClasses,
        oligo, affyPLM, flowClust, RUnit
License: Artistic-2.0
Collate: connection-classes.R boxplot.R cbind.R density.R duplicated.R
        eval.R Extremes.R funprog.R get.R image.R lapply.R mapply.R
        nrow.R order.R paste.R rep.R residuals.R row_colnames.R sets.R
        table.R tapply.R unique.R weights.R xtabs.R combine.R strand.R
        updateObject.R testPackage.R test_BiocGenerics_package.R zzz.R
Packaged: 2012-03-31 07:08:17 UTC; biocbuild

## r-bioc-biocgenerics 0.6.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: Generic functions for Bioconductor
Description: S4 generic functions needed by many Bioconductor packages.
Version: 0.6.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer
        <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: methods, graphics, stats, parallel
Imports: methods, graphics, stats, parallel
Suggests: Biobase, IRanges, GenomicRanges, AnnotationDbi, oligoClasses,
        oligo, affyPLM, flowClust, RUnit
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R as.data.frame.R cbind.R
        duplicated.R eval.R Extremes.R funprog.R get.R lapply.R
        mapply.R match.R nrow.R order.R paste.R rank.R rep.R
        row_colnames.R sets.R sort.R table.R tapply.R unique.R unlist.R
        boxplot.R image.R density.R residuals.R weights.R xtabs.R
        clusterApply.R annotation.R combine.R strand.R updateObject.R
        testPackage.R test_BiocGenerics_package.R zzz.R
Packaged: 2013-04-04 08:27:12 UTC; biocbuild

## r-bioc-biocgenerics 0.8.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: Generic functions for Bioconductor
Description: S4 generic functions needed by many Bioconductor packages.
Version: 0.8.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer
        <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: methods, graphics, stats, parallel
Imports: methods, graphics, stats, parallel
Suggests: Biobase, IRanges, GenomicRanges, AnnotationDbi, oligoClasses,
        oligo, affyPLM, flowClust, affy, RUnit, DESeq2
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R append.R as.data.frame.R
        as.vector.R cbind.R dge.R plotMA.R duplicated.R eval.R
        Extremes.R funprog.R get.R is.unsorted.R lapply.R mapply.R
        match.R nrow.R order.R paste.R rank.R rep.R row_colnames.R
        sets.R sort.R table.R tapply.R unique.R unlist.R boxplot.R
        image.R density.R residuals.R weights.R xtabs.R clusterApply.R
        annotation.R combine.R normalize.R normarg-utils.R show-utils.R
        strand.R updateObject.R update.R testPackage.R
        test_BiocGenerics_package.R zzz.R
Packaged: 2013-10-15 04:35:59 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.8.0-1) unstable; urgency=low

  [ Charles Plessy ]
  cbaf052 Imported Upstream version 0.8.0
  870049a Removed myself from Uploaders.
  be2d855 debian/control: normalised with config-model-edit.

  [ Andreas Tille ]
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Nov 2013 23:35:58 +0100

r-bioc-biocgenerics (0.6.0-1) unstable; urgency=low

  1696044 Imported Upstream version 0.6.0
  7172c96 No new upstream license nor copyright notice.
  72617c2 Normalised VCS fields following Lintian's standard.
  21f8e79 Conforms to Policy 3.9.4.
  6c0c3f3 Removed obsolete field DM-Upload-Allowed.
  64b6ae0 Make binary package architecture-independant.

 -- Charles Plessy <plessy@debian.org>  Sat, 06 Apr 2013 14:44:03 +0900

r-bioc-biocgenerics (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #677311)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jun 2012 09:09:41 +0200

=== debian/control ===
Source: r-bioc-biocgenerics
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: cdbs,
               debhelper (>= 9),
               r-base-dev (>= 2.14.2~20120222)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/r-bioc-biocgenerics.git
Vcs-Git: git://anonscm.debian.org/debian-med/r-bioc-biocgenerics.git
Homepage: http://www.bioconductor.org/packages/release/bioc/html/BiocGenerics.html

Package: r-bioc-biocgenerics
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Description: generic functions for Bioconductor
 S4 generic functions needed by many other Bioconductor packages.
 .
 Bioconductor provides tools for the analysis and comprehension of
 high-throughput genomic data. Bioconductor uses the R statistical
 programming language, and is open source and open development.

=== debian/watch ===
version=3

# This tracks the current stable version of bioconductor
http://www.bioconductor.org/help/bioc-views/release/bioc/html/BiocGenerics.html .*/BiocGenerics_(.*).tar.gz

## r-bioc-biocgenerics 0.10.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions for Bioconductor
Description: S4 generic functions needed by many Bioconductor packages.
Version: 0.10.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: methods, utils, graphics, stats, parallel
Imports: methods, utils, graphics, stats, parallel
Suggests: Biobase, IRanges, GenomicRanges, AnnotationDbi, oligoClasses,
        oligo, affyPLM, flowClust, affy, RUnit, DESeq2
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R append.R as.data.frame.R
        as.vector.R cbind.R do.call.R duplicated.R eval.R Extremes.R
        funprog.R get.R is.unsorted.R lapply.R mapply.R match.R nrow.R
        order.R paste.R rank.R rep.R row_colnames.R sets.R sort.R
        table.R tapply.R unique.R unlist.R relist.R boxplot.R image.R
        density.R residuals.R weights.R xtabs.R clusterApply.R
        annotation.R combine.R dge.R normalize.R plotMA.R
        normarg-utils.R show-utils.R strand.R updateObject.R update.R
        testPackage.R test_BiocGenerics_package.R zzz.R
Packaged: 2014-04-12 06:44:47 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.10.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jun 2014 09:54:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cdbs,
                debhelper (>= 9),
                r-base-dev (>= 2.14.2~20120222)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/r-bioc-biocgenerics.git
 Vcs-Git: git://anonscm.debian.org/debian-med/r-bioc-biocgenerics.git
 Homepage: http://www.bioconductor.org/packages/release/bioc/html/BiocGenerics.html
@@ -22,4 +22,3 @@
  Bioconductor provides tools for the analysis and comprehension of
  high-throughput genomic data. Bioconductor uses the R statistical
  programming language, and is open source and open development.
-

## r-bioc-biocgenerics 0.14.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions for Bioconductor
Description: S4 generic functions needed by many Bioconductor packages.
Version: 0.14.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: methods, utils, graphics, stats, parallel
Imports: methods, utils, graphics, stats, parallel
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, AnnotationDbi,
        oligoClasses, oligo, affyPLM, flowClust, affy, DESeq2, MSnbase,
        annotate, RUnit
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R normarg-utils.R update-utils.R
        show-utils.R append.R as.data.frame.R as.list.R as.vector.R
        cbind.R do.call.R duplicated.R eval.R Extremes.R funprog.R
        get.R is.unsorted.R lapply.R mapply.R match.R nrow.R order.R
        paste.R rank.R rep.R row_colnames.R sets.R sort.R start.R
        table.R tapply.R unique.R unlist.R unsplit.R relist.R boxplot.R
        image.R density.R residuals.R weights.R xtabs.R clusterApply.R
        annotation.R combine.R dge.R fileName.R normalize.R
        organism_species.R plotMA.R plotPCA.R score.R strand.R
        updateObject.R testPackage.R test_BiocGenerics_package.R zzz.R
NeedsCompilation: no
Packaged: 2015-04-17 03:42:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.14.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 07:29:27 +0200

r-bioc-biocgenerics (0.12.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * drop artificial versioned R dependency

 -- Andreas Tille <tille@debian.org>  Wed, 15 Oct 2014 23:47:36 +0200

## r-bioc-biocgenerics 0.16.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions for Bioconductor
Description: S4 generic functions needed by many Bioconductor packages.
Version: 0.16.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: methods, utils, graphics, stats, parallel
Imports: methods, utils, graphics, stats, parallel
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, AnnotationDbi,
        oligoClasses, oligo, affyPLM, flowClust, affy, DESeq2, MSnbase,
        annotate, RUnit
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R normarg-utils.R replaceSlots.R
        append.R as.data.frame.R as.list.R as.vector.R cbind.R
        do.call.R duplicated.R eval.R Extremes.R funprog.R get.R grep.R
        IQR.R is.unsorted.R lapply.R lengths.R mad.R mapply.R match.R
        nrow.R order.R paste.R rank.R rep.R row_colnames.R sets.R
        sort.R start.R subset.R table.R tapply.R unique.R unlist.R
        unsplit.R relist.R boxplot.R image.R density.R residuals.R
        weights.R xtabs.R clusterApply.R annotation.R combine.R
        dbconn.R dge.R fileName.R normalize.R organism_species.R
        plotMA.R plotPCA.R score.R strand.R updateObject.R
        testPackage.R test_BiocGenerics_package.R zzz.R
NeedsCompilation: no
Packaged: 2015-10-14 02:13:19 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.16.0-1) unstable; urgency=medium

  * New upstream version
  * Add missing r-cran-runit to debian/test/control

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 16:30:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Priority: optional
 Build-Depends: cdbs,
                debhelper (>= 9),
-               r-base-dev (>= 2.14.2~20120222)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/r-bioc-biocgenerics.git
+               r-base-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biocgenerics.git
 Vcs-Git: git://anonscm.debian.org/debian-med/r-bioc-biocgenerics.git
 Homepage: http://www.bioconductor.org/packages/release/bioc/html/BiocGenerics.html

=== debian/rules ===
#!/usr/bin/make -f

debRreposname = bioc
include /usr/share/R/debian/r-cran.mk

## r-bioc-biocgenerics 0.18.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions for Bioconductor
Description: S4 generic functions needed by many Bioconductor packages.
Version: 0.18.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: methods, utils, graphics, stats, parallel
Imports: methods, utils, graphics, stats, parallel
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, AnnotationDbi,
        oligoClasses, oligo, affyPLM, flowClust, affy, DESeq2, MSnbase,
        annotate, RUnit
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R normarg-utils.R replaceSlots.R
        append.R as.data.frame.R as.list.R as.vector.R cbind.R
        do.call.R duplicated.R eval.R Extremes.R funprog.R get.R grep.R
        is.unsorted.R lapply.R lengths.R mapply.R match.R nrow.R
        order.R paste.R rank.R rep.R row_colnames.R sets.R sort.R
        start.R subset.R table.R tapply.R unique.R unlist.R unsplit.R
        relist.R boxplot.R image.R density.R IQR.R mad.R residuals.R
        weights.R xtabs.R clusterApply.R annotation.R combine.R
        dbconn.R dge.R fileName.R normalize.R organism_species.R
        plotMA.R plotPCA.R score.R strand.R updateObject.R
        testPackage.R zzz.R
NeedsCompilation: no
Packaged: 2016-05-04 04:18:48 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.18.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 07:33:05 +0200

r-bioc-biocgenerics (0.16.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 20:59:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: cdbs,
                debhelper (>= 9),
                r-base-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biocgenerics.git
-Vcs-Git: git://anonscm.debian.org/debian-med/r-bioc-biocgenerics.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biocgenerics.git
 Homepage: http://www.bioconductor.org/packages/release/bioc/html/BiocGenerics.html
 
 Package: r-bioc-biocgenerics

## r-bioc-biocgenerics 0.20.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocGenerics
 Title: S4 generic functions for Bioconductor
 Description: S4 generic functions needed by many Bioconductor packages.
-Version: 0.18.0
+Version: 0.20.0
 Author: The Bioconductor Dev Team
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure
@@ -17,10 +17,10 @@
         is.unsorted.R lapply.R lengths.R mapply.R match.R nrow.R
         order.R paste.R rank.R rep.R row_colnames.R sets.R sort.R
         start.R subset.R table.R tapply.R unique.R unlist.R unsplit.R
-        relist.R boxplot.R image.R density.R IQR.R mad.R residuals.R
-        weights.R xtabs.R clusterApply.R annotation.R combine.R
-        dbconn.R dge.R fileName.R normalize.R organism_species.R
-        plotMA.R plotPCA.R score.R strand.R updateObject.R
-        testPackage.R zzz.R
+        relist.R which.R boxplot.R image.R density.R IQR.R mad.R
+        residuals.R weights.R xtabs.R clusterApply.R annotation.R
+        combine.R dbconn.R dge.R fileName.R normalize.R
+        organism_species.R plotMA.R plotPCA.R score.R strand.R
+        updateObject.R testPackage.R zzz.R
 NeedsCompilation: no
-Packaged: 2016-05-04 04:18:48 UTC; biocbuild
+Packaged: 2016-10-17 22:55:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.20.0-1) unstable; urgency=medium

  * New upstream version
  * Switch to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Tue, 25 Oct 2016 21:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: cdbs,
-               debhelper (>= 9),
-               r-base-dev
+Build-Depends: debhelper (>= 9),
+               r-base-dev,
+               dh-r
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biocgenerics.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biocgenerics.git
-Homepage: http://www.bioconductor.org/packages/release/bioc/html/BiocGenerics.html
+Homepage: https://bioconductor.org/packages/BiocGenerics/
 
 Package: r-bioc-biocgenerics
 Architecture: all
-Depends: ${shlibs:Depends},
+Depends: ${R:Depends},
          ${misc:Depends},
-         ${R:Depends}
+         ${shlibs:Depends}
 Description: generic functions for Bioconductor
  S4 generic functions needed by many other Bioconductor packages.
  .

## r-bioc-biocgenerics 0.22.1

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions for Bioconductor
Description: S4 generic functions needed by many Bioconductor packages.
Version: 0.22.1
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: methods, utils, graphics, stats, parallel
Imports: methods, utils, graphics, stats, parallel
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, AnnotationDbi,
        oligoClasses, oligo, affyPLM, flowClust, affy, DESeq2, MSnbase,
        annotate, RUnit
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R normarg-utils.R hotfix73465.R
        replaceSlots.R append.R as.data.frame.R as.list.R as.vector.R
        cbind.R do.call.R duplicated.R eval.R Extremes.R funprog.R
        get.R grep.R is.unsorted.R lapply.R lengths.R mapply.R match.R
        matrix-summary.R mean.R nrow.R order.R paste.R rank.R rep.R
        row_colnames.R sets.R sort.R start.R subset.R t.R table.R
        tapply.R unique.R unlist.R unsplit.R relist.R var.R which.R
        boxplot.R image.R density.R IQR.R mad.R residuals.R weights.R
        xtabs.R clusterApply.R annotation.R combine.R dbconn.R dge.R
        fileName.R normalize.R organism_species.R plotMA.R plotPCA.R
        score.R strand.R updateObject.R testPackage.R zzz.R
NeedsCompilation: no
Packaged: 2017-10-06 05:26:47 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.22.1-1ubuntu1) artful; urgency=medium

  * Disable hotfix 73465 already in r-base 3.4.2-1ubuntu1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 13 Oct 2017 07:05:31 +0000

r-bioc-biocgenerics (0.22.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 15:58:49 +0200

r-bioc-biocgenerics (0.22.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 11:52:44 +0200

r-bioc-biocgenerics (0.22.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Graham Inggs <ginggs@debian.org>  Fri, 12 May 2017 16:16:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: r-bioc-biocgenerics
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 9),
                r-base-dev,
                dh-r
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biocgenerics.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biocgenerics.git
 Homepage: https://bioconductor.org/packages/BiocGenerics/

## r-bioc-biocgenerics 0.24.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocGenerics
 Title: S4 generic functions for Bioconductor
 Description: S4 generic functions needed by many Bioconductor packages.
-Version: 0.22.1
+Version: 0.24.0
 Author: The Bioconductor Dev Team
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure
@@ -20,7 +20,7 @@
         tapply.R unique.R unlist.R unsplit.R relist.R var.R which.R
         boxplot.R image.R density.R IQR.R mad.R residuals.R weights.R
         xtabs.R clusterApply.R annotation.R combine.R dbconn.R dge.R
-        fileName.R normalize.R organism_species.R plotMA.R plotPCA.R
-        score.R strand.R updateObject.R testPackage.R zzz.R
+        fileName.R normalize.R Ontology.R organism_species.R plotMA.R
+        plotPCA.R score.R strand.R updateObject.R testPackage.R zzz.R
 NeedsCompilation: no
-Packaged: 2017-10-06 05:26:47 UTC; biocbuild
+Packaged: 2017-10-30 23:21:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.24.0-1ubuntu2) bionic; urgency=medium

  * Drop Ubuntu changes since we now have r-base >= 3.4.3

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 12 Apr 2018 16:31:15 +0000

r-bioc-biocgenerics (0.24.0-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Disable hotfix 73465 already in r-base 3.4.2-1ubuntu1

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 08 Nov 2017 22:38:20 +0000

r-bioc-biocgenerics (0.24.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 17:23:50 +0100
 
 r-bioc-biocgenerics (0.22.1-1ubuntu1) artful; urgency=medium

  * Disable hotfix 73465 already in r-base 3.4.2-1ubuntu1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 13 Oct 2017 07:05:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-bioc-biocgenerics
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                r-base-dev,
                dh-r
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biocgenerics.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biocgenerics.git
 Homepage: https://bioconductor.org/packages/BiocGenerics/

## r-bioc-biocgenerics 0.26.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions for Bioconductor
Description: S4 generic functions needed by many Bioconductor packages.
Version: 0.26.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: methods, utils, graphics, stats, parallel
Imports: methods, utils, graphics, stats, parallel
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, Rsamtools,
        AnnotationDbi, oligoClasses, oligo, affyPLM, flowClust, affy,
        DESeq2, MSnbase, annotate, RUnit
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R utils.R normarg-utils.R
        hotfix73465.R replaceSlots.R append.R as.data.frame.R as.list.R
        as.vector.R cbind.R do.call.R duplicated.R eval.R Extremes.R
        funprog.R get.R grep.R is.unsorted.R lapply.R lengths.R
        mapply.R match.R matrix-summary.R mean.R nrow.R order.R paste.R
        rank.R rep.R row_colnames.R sets.R sort.R start.R subset.R t.R
        table.R tapply.R unique.R unlist.R unsplit.R relist.R var.R
        which.R boxplot.R image.R density.R IQR.R mad.R residuals.R
        weights.R xtabs.R clusterApply.R annotation.R combine.R
        dbconn.R dge.R fileName.R normalize.R Ontology.R
        organism_species.R path.R plotMA.R plotPCA.R score.R strand.R
        updateObject.R testPackage.R zzz.R
NeedsCompilation: no
Packaged: 2018-04-30 23:26:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.26.0-3build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:30:57 +0000

r-bioc-biocgenerics (0.26.0-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 08:43:26 +0200

r-bioc-biocgenerics (0.26.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 00:03:47 +0200

r-bioc-biocgenerics (0.26.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 12:09:12 +0200

=== debian/control ===
Source: r-bioc-biocgenerics
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
Homepage: https://bioconductor.org/packages/BiocGenerics/

Package: r-bioc-biocgenerics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: generic functions for Bioconductor
 S4 generic functions needed by many other Bioconductor packages.
 .
 Bioconductor provides tools for the analysis and comprehension of
 high-throughput genomic data. Bioconductor uses the R statistical
 programming language, and is open source and open development.

## r-bioc-biocgenerics 0.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocGenerics
 Title: S4 generic functions for Bioconductor
 Description: S4 generic functions needed by many Bioconductor packages.
-Version: 0.26.0
+Version: 0.28.0
 Author: The Bioconductor Dev Team
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure
@@ -20,8 +20,13 @@
         table.R tapply.R unique.R unlist.R unsplit.R relist.R var.R
         which.R boxplot.R image.R density.R IQR.R mad.R residuals.R
         weights.R xtabs.R clusterApply.R annotation.R combine.R
-        dbconn.R dge.R fileName.R normalize.R Ontology.R
+        dbconn.R dge.R dims.R fileName.R normalize.R Ontology.R
         organism_species.R path.R plotMA.R plotPCA.R score.R strand.R
         updateObject.R testPackage.R zzz.R
+git_url: https://git.bioconductor.org/packages/BiocGenerics
+git_branch: RELEASE_3_8
+git_last_commit: 041fc49
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: no
-Packaged: 2018-04-30 23:26:18 UTC; biocbuild
+Packaged: 2018-10-30 23:30:14 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.28.0-2) unstable; urgency=medium

  * Team upload.
  * Add Provides: ${R:Provides} to get r-api-bioc-xxx from dh-r.
  * Add build-depends to dh-r (>= 20181123) to ensure to be built
     with a dh-r version which support r-api-bioc.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 23 Nov 2018 08:02:16 +0100

r-bioc-biocgenerics (0.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sun, 04 Nov 2018 08:47:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               dh-r,
+               dh-r (>= 20181123),
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
 Homepage: https://bioconductor.org/packages/BiocGenerics/
@@ -17,6 +17,7 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
+Provides: ${R:Provides}
 Description: generic functions for Bioconductor
  S4 generic functions needed by many other Bioconductor packages.
  .

## r-bioc-biocgenerics 0.30.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions used in Bioconductor
Description: The package defines S4 generic functions used in Bioconductor.
Version: 0.30.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: R (>= 3.6.0), methods, utils, graphics, stats, parallel
Imports: methods, utils, graphics, stats, parallel
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, Rsamtools,
        AnnotationDbi, oligoClasses, oligo, affyPLM, flowClust, affy,
        DESeq2, MSnbase, annotate, RUnit
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R utils.R normarg-utils.R
        hotfix73465.R replaceSlots.R append.R as.data.frame.R as.list.R
        as.vector.R cbind.R do.call.R duplicated.R eval.R Extremes.R
        funprog.R get.R grep.R is.unsorted.R lapply.R mapply.R match.R
        matrix-summary.R mean.R nrow.R order.R paste.R rank.R rep.R
        row_colnames.R sets.R sort.R start.R subset.R t.R table.R
        tapply.R unique.R unlist.R unsplit.R relist.R var.R which.R
        boxplot.R image.R density.R IQR.R mad.R residuals.R weights.R
        xtabs.R clusterApply.R annotation.R combine.R dbconn.R dge.R
        dims.R fileName.R normalize.R Ontology.R organism_species.R
        path.R plotMA.R plotPCA.R score.R strand.R toTable.R
        updateObject.R testPackage.R zzz.R
git_url: https://git.bioconductor.org/packages/BiocGenerics
git_branch: RELEASE_3_9
git_last_commit: fc7c3af
git_last_commit_date: 2019-05-02
Date/Publication: 2019-05-02
NeedsCompilation: no
Packaged: 2019-05-03 00:20:26 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.30.0-3) unstable; urgency=medium

  * Team upload
  * No-change rebuild on the buildds

 -- Graham Inggs <ginggs@debian.org>  Fri, 16 Aug 2019 09:33:37 +0000

r-bioc-biocgenerics (0.30.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 09:09:03 +0200

r-bioc-biocgenerics (0.30.0-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * Add Testsuite: autopkgtest-pkg-r
  * Add reference in d/upstream/metadata.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jun 2019 15:15:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r (>= 20181123),
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
 Homepage: https://bioconductor.org/packages/BiocGenerics/

## r-bioc-biocgenerics 0.32.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions used in Bioconductor
Description: The package defines S4 generic functions used in Bioconductor.
Version: 0.32.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure
Depends: R (>= 3.6.0), methods, utils, graphics, stats, parallel
Imports: methods, utils, graphics, stats, parallel
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, DelayedArray,
        Biostrings, Rsamtools, AnnotationDbi, oligoClasses, oligo,
        affyPLM, flowClust, affy, DESeq2, MSnbase, annotate, RUnit
License: Artistic-2.0
Collate: S3-classes-as-S4-classes.R utils.R normarg-utils.R
        hotfix73465.R replaceSlots.R append.R as.data.frame.R as.list.R
        as.vector.R cbind.R colSums.R do.call.R duplicated.R eval.R
        Extremes.R funprog.R get.R grep.R is.unsorted.R lapply.R
        mapply.R match.R mean.R nrow.R order.R paste.R rank.R rep.R
        row_colnames.R sets.R sort.R start.R subset.R t.R table.R
        tapply.R unique.R unlist.R unsplit.R relist.R var.R which.R
        boxplot.R image.R density.R IQR.R mad.R residuals.R weights.R
        xtabs.R clusterApply.R annotation.R combine.R dbconn.R dge.R
        dims.R fileName.R normalize.R Ontology.R organism_species.R
        path.R plotMA.R plotPCA.R score.R strand.R toTable.R type.R
        updateObject.R testPackage.R zzz.R
git_url: https://git.bioconductor.org/packages/BiocGenerics
git_branch: RELEASE_3_10
git_last_commit: 22a01ac
git_last_commit_date: 2019-10-29
Date/Publication: 2019-10-29
NeedsCompilation: no
Packaged: 2019-10-30 00:17:29 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.32.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 02 Nov 2019 17:43:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r (>= 20181123),
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
 Homepage: https://bioconductor.org/packages/BiocGenerics/

## r-bioc-biocgenerics 0.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: BiocGenerics
 Title: S4 generic functions used in Bioconductor
 Description: The package defines S4 generic functions used in Bioconductor.
-Version: 0.32.0
+Version: 0.34.0
 Author: The Bioconductor Dev Team
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure
@@ -24,9 +24,9 @@
         path.R plotMA.R plotPCA.R score.R strand.R toTable.R type.R
         updateObject.R testPackage.R zzz.R
 git_url: https://git.bioconductor.org/packages/BiocGenerics
-git_branch: RELEASE_3_10
-git_last_commit: 22a01ac
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: f7c2020
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: no
-Packaged: 2019-10-30 00:17:29 UTC; biocbuild
+Packaged: 2020-04-28 00:31:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.34.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 08:46:10 +0000

r-bioc-biocgenerics (0.34.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
      Provides virtual r-api-bioc-3.11
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 May 2020 10:46:12 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r (>= 20181123),
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
 Homepage: https://bioconductor.org/packages/BiocGenerics/
+Rules-Requires-Root: no
 
 Package: r-bioc-biocgenerics
 Architecture: all

## r-bioc-biocgenerics 0.36.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions used in Bioconductor
Description: The package defines S4 generic functions used in Bioconductor.
biocViews: Infrastructure
URL: https://bioconductor.org/packages/BiocGenerics
BugReports: https://github.com/Bioconductor/BiocGenerics/issues
Version: 0.36.0
License: Artistic-2.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Depends: R (>= 4.0.0), methods, utils, graphics, stats, parallel
Imports: methods, utils, graphics, stats, parallel
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, DelayedArray,
        Biostrings, Rsamtools, AnnotationDbi, affy, affyPLM, DESeq2,
        flowClust, MSnbase, annotate, RUnit
Collate: S3-classes-as-S4-classes.R utils.R normarg-utils.R
        hotfix73465.R replaceSlots.R append.R as.data.frame.R as.list.R
        as.vector.R cbind.R colSums.R do.call.R duplicated.R eval.R
        Extremes.R funprog.R get.R grep.R is.unsorted.R lapply.R
        mapply.R match.R mean.R nrow.R order.R paste.R rank.R rep.R
        row_colnames.R sets.R sort.R start.R subset.R t.R table.R
        tapply.R unique.R unlist.R unsplit.R relist.R var.R which.R
        which.min.R boxplot.R image.R density.R IQR.R mad.R residuals.R
        weights.R xtabs.R clusterApply.R annotation.R combine.R
        dbconn.R dge.R dims.R fileName.R normalize.R Ontology.R
        organism_species.R path.R plotMA.R plotPCA.R score.R strand.R
        toTable.R type.R updateObject.R testPackage.R zzz.R
git_url: https://git.bioconductor.org/packages/BiocGenerics
git_branch: RELEASE_3_12
git_last_commit: 0d5d169
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: no
Packaged: 2020-10-27 22:41:50 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.36.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Oct 2020 10:17:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r (>= 20181123),
                r-base-dev
 Standards-Version: 4.5.0

=== debian/watch ===
version=3

# This tracks the current stable version of bioconductor
https://www.bioconductor.org/help/bioc-views/release/bioc/html/BiocGenerics.html .*/BiocGenerics_(.*).tar.gz

## r-bioc-biocgenerics 0.40.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions used in Bioconductor
Description: The package defines many S4 generic functions used in Bioconductor.
biocViews: Infrastructure
URL: https://bioconductor.org/packages/BiocGenerics
BugReports: https://github.com/Bioconductor/BiocGenerics/issues
Version: 0.40.0
License: Artistic-2.0
Author: The Bioconductor Dev Team
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Depends: R (>= 4.0.0), methods, utils, graphics, stats
Imports: methods, utils, graphics, stats
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, DelayedArray,
        Biostrings, Rsamtools, AnnotationDbi, affy, affyPLM, DESeq2,
        flowClust, MSnbase, annotate, RUnit
Collate: S3-classes-as-S4-classes.R utils.R normarg-utils.R
        replaceSlots.R append.R as.data.frame.R as.list.R as.vector.R
        cbind.R colSums.R do.call.R duplicated.R eval.R Extremes.R
        funprog.R get.R grep.R is.unsorted.R lapply.R mapply.R match.R
        mean.R nrow.R order.R paste.R rank.R rep.R row_colnames.R
        sets.R sort.R start.R subset.R t.R table.R tapply.R unique.R
        unlist.R unsplit.R relist.R var.R which.R which.min.R boxplot.R
        image.R density.R IQR.R mad.R residuals.R weights.R xtabs.R
        annotation.R combine.R dbconn.R dge.R dims.R fileName.R
        normalize.R Ontology.R organism_species.R path.R plotMA.R
        plotPCA.R score.R strand.R toTable.R type.R updateObject.R
        testPackage.R zzz.R
git_url: https://git.bioconductor.org/packages/BiocGenerics
git_branch: RELEASE_3_14
git_last_commit: 0bc1e0e
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 20:54:20 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.40.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-r.

 -- Andreas Tille <tille@debian.org>  Tue, 23 Nov 2021 21:17:25 +0100

r-bioc-biocgenerics (0.38.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * d/u/metadata:
    - Added fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
    - Added ref to conda
    - Remove obsolete field Contact since already present in
      machine-readable d/copyright

 -- Steffen Moeller <moeller@debian.org>  Tue, 31 Aug 2021 08:06:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-r (>= 20181123),
+               dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
 Homepage: https://bioconductor.org/packages/BiocGenerics/

## r-bioc-biocgenerics 0.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 biocViews: Infrastructure
 URL: https://bioconductor.org/packages/BiocGenerics
 BugReports: https://github.com/Bioconductor/BiocGenerics/issues
-Version: 0.40.0
+Version: 0.42.0
 License: Artistic-2.0
 Author: The Bioconductor Dev Team
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
@@ -26,9 +26,9 @@
         plotPCA.R score.R strand.R toTable.R type.R updateObject.R
         testPackage.R zzz.R
 git_url: https://git.bioconductor.org/packages/BiocGenerics
-git_branch: RELEASE_3_14
-git_last_commit: 0bc1e0e
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 3582d47
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 20:54:20 UTC; biocbuild
+Packaged: 2022-04-26 20:04:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.42.0-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * New upstream version

  [ Andreas Tille ]
  * Drop debian/gbp.conf

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 10:03:31 +0200

## r-bioc-biocgenerics 0.44.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions used in Bioconductor
Description: The package defines many S4 generic functions used in Bioconductor.
biocViews: Infrastructure
URL: https://bioconductor.org/packages/BiocGenerics
BugReports: https://github.com/Bioconductor/BiocGenerics/issues
Version: 0.44.0
License: Artistic-2.0
Encoding: UTF-8
Author: The Bioconductor Dev Team
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 4.0.0), methods, utils, graphics, stats
Imports: methods, utils, graphics, stats
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, DelayedArray,
        Biostrings, Rsamtools, AnnotationDbi, affy, affyPLM, DESeq2,
        flowClust, MSnbase, annotate, RUnit
Collate: S3-classes-as-S4-classes.R utils.R normarg-utils.R
        replaceSlots.R aperm.R append.R as.data.frame.R as.list.R
        as.vector.R cbind.R colSums.R do.call.R duplicated.R eval.R
        Extremes.R format.R funprog.R get.R grep.R is.unsorted.R
        lapply.R mapply.R match.R mean.R nrow.R order.R paste.R rank.R
        rep.R row_colnames.R sets.R sort.R start.R subset.R t.R table.R
        tapply.R unique.R unlist.R unsplit.R relist.R var.R which.R
        which.min.R boxplot.R image.R density.R IQR.R mad.R residuals.R
        weights.R xtabs.R annotation.R combine.R dbconn.R dge.R dims.R
        fileName.R normalize.R Ontology.R organism_species.R path.R
        plotMA.R plotPCA.R score.R strand.R toTable.R type.R
        updateObject.R testPackage.R zzz.R
git_url: https://git.bioconductor.org/packages/BiocGenerics
git_branch: RELEASE_3_16
git_last_commit: d7cd9c1
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01
NeedsCompilation: no
Packaged: 2022-11-01 20:55:48 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.44.0-2) unstable; urgency=medium

  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Mention all available suggested packages as Test-Depends

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 11:30:29 +0100

r-bioc-biocgenerics (0.44.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 19 Nov 2022 15:13:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-bioc-biocgenerics
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
+Homepage: https://bioconductor.org/packages/BiocGenerics/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
-Homepage: https://bioconductor.org/packages/BiocGenerics/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocgenerics
 Architecture: all

## r-bioc-biocgenerics 0.46.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions used in Bioconductor
Description: The package defines many S4 generic functions used in Bioconductor.
biocViews: Infrastructure
URL: https://bioconductor.org/packages/BiocGenerics
BugReports: https://github.com/Bioconductor/BiocGenerics/issues
Version: 0.46.0
License: Artistic-2.0
Encoding: UTF-8
Author: The Bioconductor Dev Team
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 4.0.0), methods, utils, graphics, stats
Imports: methods, utils, graphics, stats
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, DelayedArray,
        Biostrings, Rsamtools, AnnotationDbi, affy, affyPLM, DESeq2,
        flowClust, MSnbase, annotate, RUnit
Collate: S3-classes-as-S4-classes.R utils.R normarg-utils.R
        replaceSlots.R aperm.R append.R as.data.frame.R as.list.R
        as.vector.R cbind.R do.call.R duplicated.R eval.R Extremes.R
        format.R funprog.R get.R grep.R is.unsorted.R lapply.R mapply.R
        match.R mean.R nrow.R order.R paste.R rank.R rep.R
        row_colnames.R sets.R sort.R start.R subset.R t.R table.R
        tapply.R unique.R unlist.R unsplit.R relist.R var.R which.R
        which.min.R boxplot.R image.R density.R IQR.R mad.R residuals.R
        weights.R xtabs.R annotation.R combine.R dbconn.R dge.R dims.R
        fileName.R normalize.R Ontology.R organism_species.R path.R
        plotMA.R plotPCA.R score.R strand.R toTable.R type.R
        updateObject.R testPackage.R zzz.R
git_url: https://git.bioconductor.org/packages/BiocGenerics
git_branch: RELEASE_3_17
git_last_commit: a90f0c5
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: no
Packaged: 2023-04-25 20:19:12 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.46.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Automatic update of Test-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jul 2023 16:18:32 +0200

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/BiocGenerics.html .*/BiocGenerics_(.*).tar.gz
